about summary refs log tree commit diff
path: root/tests/build-remote.sh
diff options
context:
space:
mode:
authorTuomas Tynkkynen <tuomas@tuxera.com>2018-01-13T13·18+0200
committerTuomas Tynkkynen <tuomas@tuxera.com>2018-01-13T17·08+0200
commit59086e459c2650b7dc42bd2fc4a9a98b23aaf6e7 (patch)
tree7f0d043cc86e0c25c4b923a1471d500d9b313cb9 /tests/build-remote.sh
parent74f75c855837bce7f48491e9ce8ac03794e5b40d (diff)
Fix tests using user namespaces on kernels that don't have it
Disable various tests if the kernel doesn't support unprivileged user
namespaces (e.g. Arch Linux disables them) or disable them via a sysctl
(Debian, Ubuntu).

Fixes #1521
Fixes #1625
Diffstat (limited to 'tests/build-remote.sh')
-rw-r--r--tests/build-remote.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/build-remote.sh b/tests/build-remote.sh
index cf3bb46331..9bca0f4a38 100644
--- a/tests/build-remote.sh
+++ b/tests/build-remote.sh
@@ -2,7 +2,7 @@ source common.sh
 
 clearStore
 
-if [[ $(uname) != Linux ]]; then exit; fi
+if ! canUseSandbox; then exit; fi
 if [[ ! $SHELL =~ /nix/store ]]; then exit; fi
 
 chmod -R u+w $TEST_ROOT/store0 || true